// -*- C++ -*-
//
// ----------------------------------------------------------------------
//
// Brad T. Aagaard, U.S. Geological Survey
//
// This code was developed as part of the Computational Infrastructure
// for Geodynamics (http://geodynamics.org).
//
// Copyright (c) 2010-2015 University of California, Davis
//
// See COPYING for license information.
//
// ----------------------------------------------------------------------
//

/** @file libsrc/utils/utilsfwd.hh
 *
 * @brief Forward declarations for spatialdata::utils objects.
 *
 * Including this header file eliminates the need to use separate
 * forward declarations.
 */

#if !defined(spatialdata_utils_utilsfwd_hh)
#define spatialdata_utils_utilsfwd_hh

namespace spatialdata {
  namespace utils {
    class LineParser;
    class PointsStream;
  } // utils
} // spatialdata


#endif // spatialdata_utils_utilsfwd_hh


// End of file 
